Results 1 to 3 of 3

Thread: libicui18n.so.57.1

  1. #1
    Join Date
    Mar 2015
    Location
    Viçosa, Brasil
    Posts
    263

    Default libicui18n.so.57.1

    Hi! I'm trying to use a package inside R. The package seems work fine, but one specific function does not. Take a look:

    library(dae)data(SPLGrass.dat)
    interaction.ABC.plot(Main.Grass, x.factor=Period,
    groups.factor=Spring, trace.factor=Summer,
    data=SPLGrass.dat,
    title="Effect of Period, Spring and Summer on Main Grass")
    Error in dyn.load(file, DLLpath = DLLpath, ...) :
    impossível carregar objeto compartilhado '/home/viniciusbr/R/x86_64-suse-linux-gnu-library/3.3/stringi/libs/stringi.so':
    libicui18n.so.57.1: cannot open shared object file: Arquivo ou diretório não encontrado
    Além disso: Warning message:
    The labeller API has been updated. Labellers taking `variable`and `value` arguments are now deprecated. See labellers documentation.

    How can I install this libicui18n.so.57.1?

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,640
    Blog Entries
    15

    Default Re: libicui18n.so.57.1

    Quote Originally Posted by viniciusbrbio View Post
    Hi! I'm trying to use a package inside R. The package seems work fine, but one specific function does not. Take a look:

    library(dae)data(SPLGrass.dat)
    interaction.ABC.plot(Main.Grass, x.factor=Period,
    groups.factor=Spring, trace.factor=Summer,
    data=SPLGrass.dat,
    title="Effect of Period, Spring and Summer on Main Grass")
    Error in dyn.load(file, DLLpath = DLLpath, ...) :
    impossível carregar objeto compartilhado '/home/viniciusbr/R/x86_64-suse-linux-gnu-library/3.3/stringi/libs/stringi.so':
    libicui18n.so.57.1: cannot open shared object file: Arquivo ou diretório não encontrado
    Além disso: Warning message:
    The labeller API has been updated. Labellers taking `variable`and `value` arguments are now deprecated. See labellers documentation.

    How can I install this libicui18n.so.57.1?
    Hi
    It's available from theX11:common:Factory, however, that sounds like a recipe for disaster..
    https://software.opensuse.org/package/libicu57_1

    Just download the rpm and manually install, I expect you will see conflicts, if so abort the install....

    You could try unpacking the rpm and poping the lib down in your libs directory, a hack but may work.
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3
    Join Date
    Mar 2015
    Location
    Viçosa, Brasil
    Posts
    263

    Default Re: libicui18n.so.57.1

    Many thanks!
    --
    Biostatistics and Data Science
    https://bio-data.github.io/

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •